import { renderless, api } from '@opentinyvue/vue-renderless/carousel-item/vue';
import { defineComponent, props, setup } from '@opentinyvue/vue-common';

function normalizeComponent(scriptExports, render, staticRenderFns, functionalTemplate, injectStyles, scopeId, moduleIdentifier, shadowMode) {
  var options = typeof scriptExports === "function" ? scriptExports.options : scriptExports;
  if (render) {
    options.render = render;
    options.staticRenderFns = staticRenderFns;
    options._compiled = true;
  }
  var hook;
  if (injectStyles) {
    hook = injectStyles;
  }
  if (hook) {
    if (options.functional) {
      options._injectStyles = hook;
      var originalRender = options.render;
      options.render = function renderWithStyleInjection(h, context) {
        hook.call(context);
        return originalRender(h, context);
      };
    } else {
      var existing = options.beforeCreate;
      options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
    }
  }
  return {
    exports: scriptExports,
    options
  };
}

var __vue2_script = defineComponent({
  props: [].concat(props, ["name", "title", "label"]),
  setup: function setup$1(props2, context) {
    return setup({
      props: props2,
      context,
      renderless,
      api
    });
  }
});
var render = function render2() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c("div", {
    directives: [{
      name: "show",
      rawName: "v-show",
      value: _vm.state.ready,
      expression: "state.ready"
    }],
    class: _vm.m(["absolute top-0 left-0 w-full inline-block overflow-hidden z-0", _vm.state.carouselParent.type === "card" ? "w-1/2 transition-transform duration-300 ease-in-out" : "", _vm.state.hover ? "opacity-10" : "", _vm.state.animate && !_vm.state.moving ? "transition-transform duration-300 ease-in-out" : "", _vm.state.inStage && _vm.state.carouselParent.type === "card" ? "cursor-pointer z-[1] group" : "", _vm.state.active ? "z-[2]" : ""]),
    style: _vm.state.getTransform,
    attrs: {
      "data-tag": "tiny-carousel-item",
      "role": "carousel-item"
    },
    on: {
      "click": _vm.handleItemClick
    }
  }, [_vm.state.carouselParent.type === "card" ? _c("div", {
    directives: [{
      name: "show",
      rawName: "v-show",
      value: !_vm.state.active,
      expression: "!state.active"
    }],
    staticClass: "absolute h-full top-0 left-0 w-full opacity-20 duration-200 group-hover:opacity-10",
    class: {
      "opacity-10": _vm.state.inStage && _vm.state.carouselParent.type === "card" && _vm.state.hover
    },
    attrs: {
      "data-tag": "tiny-carousel-item-card"
    }
  }) : _vm._e(), _vm._t("default"), _vm.state.hasTitle ? _c("div", {
    staticClass: "absolute bottom-0 h-6 w-full text-left text-color-text-inverse leading-6 bg-color-text-disabled",
    attrs: {
      "data-tag": "tiny-carousel-item-title"
    }
  }, [_c("span", {
    staticClass: "py-0 px-3 text-xs w-4/5 inline-block text-ellipsis overflow-hidden whitespace-nowrap"
  }, [_vm._v(_vm._s(_vm.title))])]) : _vm._e()], 2);
};
var staticRenderFns = [];
var __cssModules = {};
var __component__ = /* @__PURE__ */ normalizeComponent(__vue2_script, render, staticRenderFns, false, __vue2_injectStyles);
function __vue2_injectStyles(context) {
  for (var o in __cssModules) {
    this[o] = __cssModules[o];
  }
}
var mobileFirst = /* @__PURE__ */ function() {
  return __component__.exports;
}();

export { mobileFirst as default };
